import { JavaObject } from '../../../java/lang/JavaObject';
import { LinkedCollection } from '../../../core/adt/collection/LinkedCollection';
import { JavaIterator } from '../../../java/util/JavaIterator';
export declare class LinkedCollectionDescendingIterator<E> extends JavaObject implements JavaIterator<E> {
    private _collection;
    private _current;
    private readonly _expModCount;
    /**
     * Erzeugt einen neuen LinkedCollectionIterator. Dabei wird die Referenz auf
     * die {@link LinkedCollection} übergeben.
     *
     * @param collection   die zum Iterator zugehörige {@link LinkedCollection}
     */
    constructor(collection: LinkedCollection<E>);
    hasNext(): boolean;
    next(): E;
    remove(): void;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_adt_collection_LinkedCollectionDescendingIterator<E>(obj: unknown): LinkedCollectionDescendingIterator<E>;
